Eval runs
Delete an eval case
Removes the case from the suite. Past runs that executed it are not affected.
DELETE
/
projects
/
{projectId}
/
eval-suites
/
{suiteId}
/
cases
/
{caseId}
Delete an eval case
curl --request DELETE \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/eval-suites/{suiteId}/cases/{caseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/eval-suites/{suiteId}/cases/{caseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/eval-suites/{suiteId}/cases/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"deleted": true
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Eval suite ID, as returned by POST /eval-runs.
Eval case id.
Was this page helpful?
⌘I
Delete an eval case

